Name:           iml
Version:        1.0.2
Release:        7%{?dist}
Summary:        Finds solutions to systems of linear equations over integers
Group:          Applications/Engineering
License:        BSD
URL:            http://www.cs.uwaterloo.ca/~z4chen/iml.html
Source0:        http://www.cs.uwaterloo.ca/~z4chen/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  atlas-devel
BuildRequires:  gmp-devel


%description
IML package provides efficient routines to solve nonsingular systems of
linear equations, certified solve any shape systems of linear equations,
and perform mod p matrix operations, such as computing row-echelon form,
determinant, rank profile, inverse of a mod p matrix.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Provides:       %{name}-static = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --with-atlas-include=%{_includedir}/atlas \
  --with-atlas-lib=%{_libdir}/atlas \
  CFLAGS="%{optflags} -L%{_libdir}/atlas"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -f $RPM_BUILD_ROOT/%{_datadir}/%{name}/liblink
rm -f $RPM_BUILD_ROOT/%{_datadir}/%{name}/libroutines
#cp examples $RPM_BUILD_ROOT/%{_datadir}/%{name}/


%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%files devel
%defattr(-,root,root,-)
%doc AUTHORS README doc/liblink doc/libroutines examples
%{_includedir}/*
%{_libdir}/lib%{name}.a


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Conrad Meyer <konrad@tylerc.org> - 1.0.2-6
- Fix FTBFS errors.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 27 2008 Conrad Meyer <konrad@tylerc.org> - 1.0.2-4
- Oops, don't depend on the main package which no longer exists in -devel.

* Fri Oct 17 2008 Conrad Meyer <konrad@tylerc.org> - 1.0.2-2
- Only generate one binary package.
- Add %%check.

* Sun Oct 12 2008 Conrad Meyer <konrad@tylerc.org> - 1.0.2-1
- Initial package.
